# 現在のディレクトリを保存
$CurrentPath = Get-Location
# このスクリプトのあるディレクトリに移動
$MySelfPath = Split-Path -Parent $MyInvocation.MyCommand.Path
Set-Location $MySelfPath
# pciCreator.jsonを読み込む
$pciCreator = Get-Content .\pciCreator.json -Raw | ConvertFrom-Json
$pciLabel = $pciCreator.label;	# ラベル
$pciVersion = $pciCreator.version -replace "\.", "_"; # バージョン
# 作成するファイル名
$zipFileName = "..\$pciLabel" + "_" + $pciVersion + ".zip";
# 既存のファイルがあれば削除
if (Test-Path $zipFileName) {
	Remove-Item $zipFileName
}
# ファイルを圧縮
Compress-Archive -Path $MySelfPath\* -DestinationPath $zipFileName -Update
# もとのディレクトリに戻る
Set-Location $CurrentPath
